### Method

# EDataServer OAuth2Service prepare_refresh_token_form

since: 3.28

#### Declaration [src]

    void
    e_oauth2_service_prepare_refresh_token_form (
      EOAuth2Service* service,
      ESource* source,
      const gchar* refresh_token,
      GHashTable* form
    )

#### Description [src]

Sets additional form parameters to be used in the POST request when requesting to refresh an access token. The default implementation sets some values too, namely “refresh_token”, “client_id”, “client_secret” and “grant_type”. These parameters are always provided, even when the interface implementer overrides this method.

The `form` hash table expects both key and value to be newly allocated strings, which will be freed together with the hash table or when the key is replaced.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

`refresh_token`

  Type: `const gchar*`

  A refresh token to be used.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`form`

  Type: `GHashTable`

  Form parameters to be used in the POST request.

  The data is owned by the caller of the method.